

             $VER: DeliTracker-History.deu V2.27 (15.09.1996)
                Copyright 1992-1996 by Delirium Softdesign
                      (Peter Kunath and Frank Riffel)



V2.27   Kleiner Bug im TFMX-NotePlayer behoben. MusicMaker an das NotePlayer
        Interface angepaßt. ScreamTracker3 Player komplett neu programmiert.
        DDMF, ImpulseTracker, FastTracker2, TakeTracker und TFMX1.5 verbessert.
        Als neue Player kamen PolyTracker, THX und Amos dazu. Converter Genie
        weiter verbessert. Bug in der ProTracker Duration Routine gefixt.
        Installationsscript verwendet nun UNLZX.

V2.26   Bug im Paula-NotePlayer behoben. FredMon, DigiBooster und MarkII
        Player verbessert. FutureComposer1.3 Player durch einen Converter
        ersetzt. Soundfactory Player angepasst.

V2.25   Division durch Null Fehler im ScreamTracker Player behoben. DMA-Wait
        im IFF-SMUS Player eingebaut. Der TFMX Player unterstützt jetzt auch
        das einteilige 'TFHD' Format. Check Routine im VectorDean Player
        verbessert. Neue Player für ImpulseTracker und X-Tracker (DDMF)
        Module. Converter und LightOrgan Genie verbessert. FFTScope Genie
        released.

V2.24   Diverse Fehler im DIGIBooster, ScreamTracker und FastTracker2 Player
        behoben. Der IFF-SMUS Player wurde überarbeitet und hat jetzt eine GUI.

V2.23   Falsche ToolType-Namen in den Docs geändert. Fehler im Portamento
        Effect des ProTracker Players behoben. Der DIGIBooster Player braucht
        jetzt 200k weniger Speicher.

V2.22   Player für StoneTracker und DIGIBooster Module sind hinzugekommen.
        Subsongs in ProTracker eingebaut. SoundFX, TakeTracker und VectorDean
        Player verbessert. Bug in AllocListData() behoben. LevelMeter released.

V2.21   Einen Bug gefixt, der einen Enforcer Hit in der CLI Parse Routine
        verursachte.

V2.20   Zoomed Option eingebaut.

V2.19   Bugfix in der NotePlayer-Bestimmungs Routine. Eine fehlerhafte
        TagID korrigiert. Fehler in den Hippel-COSO und ScreamTracker 3.0
        Playern behoben.

V2.18   Eine neue ToolType/CLI Option ermöglicht nun das Beenden von DeliTracker
        durch Betätigen des Close-Gadgets (sog. Nessy-Option:^)=. ScreamTracker
        und FastTracker2 Player verbessert. 14Bit-NotePlayer überarbeitet.

V2.17   Der DSS Player basiert jetzt auf den 3.0a Sourcen, der letzten
        releasten Version. Ausserdem wurde er an das NotePlayer Interface
        angepaßt. Der VectorDean Player wurde überarbeitet. Verbesserungen
        in den S3M und XM Playen. Die französischen Docs wurden aktualisiert.

V2.16   Force-Modus für NotePlayer. Player für AIFF Samples programmiert.
        Das neue ModuleInfo unterstützt jetzt viele verschiedene Formate.
        Kleinere Fehler in TFMX, MED/OctaMED, TakeTracker, IFF-8SVX und
        DataType behoben. Der RIFF-WAV Player kann jetzt auch 16Bit Samples
        spielen.

V2.15   Noch ein Bugfix im NotePlayer-Interface. Schwachstellen einiger Player
        behoben. Die SoundFX und Whittaker Player wurden an das NotePlayer
        Interface angepasst. ModuleInfo-Genie überarbeitet und verbessert, ab
        jetzt werden nicht nur ProTracker Module unterstützt. Die DeliMix
        Routinen wurden um 15% schneller. Französische Doks, Installer-Skript
        überarbeitet.

V2.14   Kleiner Bugfix in den NotePlayer-Interface Routinen von DeliTracker.
        Viele neue Player angepasst: FastTracker2, LME, PSA, TimFollin, SCUMM,
        RobHubbard2, Hippel_7V, JasonPage und SoundControl. Des weiteren
        unterstützt der Hippel-COSO jetzt das NotePlayer Interface. Die MED/
        OctaMED DeliPlayer basieren nun auf den OctaMED V6 Replay Routinen.
        Der Grouleff Player wurde durch den EarAche Player ersetzt. Der
        FFTAnalyzer benutzt nun anstelle einer 128-Point FFT eine fast genauso
        schnelle 504-Point FFT. Der 14Bit-NotePlayer ist jetzt calibrierbar.

V2.13   Ein Großteil der Genies wurde überarbeitet. Der 4Voice-NotePlayer
        hat jetzt eine bessere Soundqualität, dies gilt auch für den
        8Voice-NotePlayer. Diverse Scopes wurden verbessert (QuadraScope,
        QuadraScope+, MonoScope, StereoScope, LightOrgan und DrWhoGenie).
        Ab jetzt gibt es einen ArtOfNoise und einen DataType Player. Die
        TFMX-Pro und TFMX_7V Player wurden durch einen neugeschriebenen
        Player ersetzt, der das NotePlayer Interface unterstüzt. Bugfixes
        in den QuadraComposer sowie MED/OctaMED Playern. Automatische Boost
        Berechnung in verschiedenen NotePlayern eingebaut.
        In DeliTracker wurde ein LowMem Bug und ein Fehler bei den Modul-
        listen Fehlerrequestern beseitigt.

V2.12   Fehler im Decruncher Genie beseitigt. Neuer DigitalMugician Player.
        Versucht einen DeliPlayer zu schreiben, der die Sound-DataTypes
        benutzt. Dies ist leider wegen massiver Fehler bzw. mangelnder
        Features des sound.datatypes fehlgeschlagen. DeliAY kann ab jetzt
        direkt mit dem Installer installiert werden.

V2.11   Die Arexx Funktionen showgui und hidegui verbessert. Fehlende
        Comment Routine eingebaut. Den 68000 Code des 4Voice-NotePlayer
        überarbeitet. Das Converter Genie unterstützt nun auch MED Songs.
        Neue Deli-Wizard Version, jetzt mit 51 Formaten. Einen Bug im
        NotePlayer Interface behoben, der manchmal einen 'Division by
        Zero' Guru verursacht hat.

V2.10   Das Spektrum des FFT Analyzer Genies ist nun dB(A) gewichtet. Die neue
        Version von DeliWizard unterstützt nun 50(!) Formate. Ein Fehler im
        Menü-Handling wurde aus DeliSID und dem QuadrascopePlus Genie entfernt.
        Sämtliche Player und Genie ARexx-Funktionen erwarten jetzt einen String
        als Referenz. Player und Genie Nummern gibt es jetzt nicht mehr (z.B.
        wurde status m pnr durch status m pna ersetzt). Die Beispiel-ARexx
        Scripts wurden entsprechend angepaßt. Der ST-NT-PT_Song Player ist nun
        als Converter realisiert. Ausserdem gibt es ein neues Converter Genie
        für nicht-ProTracker Modulformate. Der GraveComposer Player wurde
        deswegen entfernt. Der ProTracker Player zerstörte in einem Fall das
        letzte Zeichen des Modulnamens. Dieser Fehler wurde behoben. Diverse
        Verbesserungen in den IFF-8SVX, RIFF-WAV und FutureComposer_1.4 Playern.
        DrWhoGenie released.

V2.09x  Dies ist die '94 Weihnachts Release von DeliTracker. Ausser dem
        obligatorischen Xmas-Genie (im Bonus/ Verzeichnis) ist auch noch
        eine neuere Deli-Wizard Version dabei. Einige Player wurden dadurch
        Überflüssig. Der SonicArranger Player wurde an das NotePlayer-
        Interface angepasst.

V2.09   Ein neuer Noteplayer - Headphone-Noteplqayer - wurde speziell für
        Kopfhörer-Benutzer programmiert. Der Startup-Code und andere interne
        Routinen wurden geändert. Endlich bekamen wir das OK von Ron und Hakan,
        den DeliSID Player veröffentlichen zu dürfen. Bei FTM sowie einigen
        NotePlayern trat beim Start und Stop manchmal ein Knacksen auf, dies
        ist jetzt beseitigt. Ein Bug in der DeliMix Routine wurde behoben.
        Ein Align-Fehler im IFF-8SVX und im RIFF-WAV Player beseitigt. Bug im
        Requester der SetComment Routine behoben. Die Audio-DMA wurde auch bei
        NotePlayer Benutzung fälschlicherweise abgeschaltet, das ist jetzt
        behoben. Der DeliS3M Player wurde überarbeitet.

V2.08   Fehler in der Tooltype Parse-Routine behoben. Das Rexx-Komomando
        'status g gui' funkioniert jetzt so wie es soll. Einen harmlosen
        Fehler im Installer-Script behoben. Das Quadrascope Genie verarbeitet
        nun auch 8 bit unsigned Samples (wie sie S3M benutzt). Kleinere
        Änderungen am internen NotePlayer-Interrupthandling. GraveComposer
        Player fertiggestellt. Einige Fehler in der Dokumentation entfernt.
        Der 32Voices-NotePlayerPlus wurde etws verbessert.

V2.07   Der Menüpunkt 'Load Module' wurde in 'Open' umbenannt, wir mußten
        deshalb zwei Menü-Shortcut's umbennen. Die Fadaout Funktion wurde
        erweitert, man kann jetzt die Zeitspanne für den Ausblend-Vorgang
        einstellen. MED und die beiden Future Composer Player wurden an das
        NotePlayer-Interface angepasst. Alle NotePlayer-Genies reduzieren
        nun automatisch die Mix-Geschwindigkeit, falls der Prozessor die
        eingestellte Rate nicht mehr schafft. Ein Fehler im FTM Player
        wurde entfernt (setzen der globalen Lautstärke).

V2.06   'Prefix' und 'Low Chipmem' Optionen hinzugefügt. Das Setup
        Fenster wurde überarbeitet um Platz für die zusätzlichen
        Gadgets zu schaffen. PlaySID, S3M und TakeTracker Player
        angepasst/geschrieben. Die Priorität aller Genies wurde von
        -5 auf -25 gesenkt. Diese Maßnahme war notwendig, um Probleme
        mit schlecht Programmierter SCSI/CD-ROM Treiber Software zu
        vermeiden, die eine Task mit Priorität -20 benutzt um einen
        Diskchange (z.B. CD-Wechsel) zu erkennen.  Diese Version wurde
        nicht veröffentlicht.

V2.05   Änderung des NotePlayer-Interfaces. Module können nun auch ohne
        NotePlayer-Interface ins FastMem geladen werden, falls der Player
        dies unterstützt. FTM nutzt dieses Feature jetzt. Einige kleinere
        Fehler in den Arexx Kommandos behoben und einen weiteres Status
        Komando eingefuert. Der 14Bit-Noteplayer hat nun auch eine Volume
        Boost Einstellung. Diese Version wurde nicht veröffentlicht.

V2.04   Die Zufallsroutine wurde verbessert. Der Window-Sizing Code
        wurde geändert. Da viele Patches (z.B. XSize) IDCMP_SIZEVERIFY
        nicht weiterleiten verwenden wir nun IDCMP_NEWSIZE. Die Mix-
        qualität von 32Voice-NotePlayerPlus und ModSave-NotePlayer
        wurde verbessert (weniger Rauschen). MultiTracker und TakeTracker
        Player fertiggestellt. Diese Version wurde nicht veröffentlicht.

V2.03   Das Program Fenster ist nun "Sizeable". Fehler in einigen
        NotePlayern behoben.  Es wurden einige Orthographische Fehler in
        den Docs beseitigt :-) Die Timeout Funktion arbeitet nun wieder
        nach dem alten Prinzip. Actionamics Player angepasst. Das Decrunch
        Genie unterstuetzt nun Patternmatching. Diese Version wurde nicht
        veröffentlicht.

V2.02   Ein paar kleine Fehler bei der ToolType Verarbeitung beseitigt.
        Andere Fehler kleineren Ausmaßes beseitigt. VectorDean Player
        angepasst. Beim RIFF-WAV Player wurden die Probleme mit dem
        Noteplayer-Interface beseitigt (schuld war ein altes Includefile).
        Geschwindigkeitsprobleme des OctaMED Players beseitigt. Falsche
        Song-End Erkennung im ProTracker korrigiert. Der AudioDev-Noteplayer
        wurde durch den Paula-NotePlayer ersetzt. Diese Version wurde nicht
        veröffentlicht.

V2.01   Ein vergessener "Beta"-Requester wurde aus dem AudioDeviceNoteplayer
        entfernt. Wir haben die "MoA" Demoversion von der Distributions
        Diskette gelöscht, weil sie fehlerhaft war.

V2.0    Einführung eines neuen Konzeptes, das wir "Genies" nennen. Dies
        macht den größten Teil der Änderungen aus und ist ein Hauptgrund
        für den Versionssprung auf 2.0.

        Erstellen von Noteplayer, Decrunch und Scope Genies. Das Convert
        Genie 'Deli-Wizard' wurde von Nicolas Franck geschrieben. Von
        ihm stammt ebenfalls Pro-Wizard.

        Komplett überarbeitete Dokumentation.

        Anpassung einiger Player an das Noteplayer Interface
        (Oktalyzer, OctaMED, Kris, Jamcracker, PT/NT/ST, FastTracker)

        Verbesserung des Player-Handlings, dies beinhaltet Unterstützung
        für 'swap'-bare Player und eigene Playerprozesse.

        Entfernung verschiedener Fehler und Unschönheiten (8-/.

        Verbesserung verschiedener Player (z.B. der Sonic Arranger Player
        kann nun auch PC-Relative Module abspielen).

        Wesentliche Verbesserung des IFF-8SVX Players: Die Samples werden
        nun während des Abspielens nachgeladen.

        Anpassung neuer Player (z.B. RIFF-WAV Player für MS-DOS Samples).

        Die Benutzeroberfläche wurde verbessert und neu designed. Im
        Hauptfenster lassen sich nun einige Gadgetgruppen wegfalten. Der
        Kommentar eines Moduls wird auch angezeigt und kann verändert
        wieder abgespeichert werden. Das alte Prefs-Fenster ist in zwei
        separate Fenster aufgeteilt worden: Ein Einstellfenster und ein
        Playerfenster. Neu hinzu kamen ein Modullisten Fenster und ein
        Geniefenster. Für praktisch jede Funktion existieren Shortcuts.

        Die Installation wird mit dem Commodore Installer vorgenommen.

        Änderung des Startupcodes; jetzt wird ReadArgs() und
        FindToolType verwendet. Der Resident-Startup wurde entfernt.

        DeliTracker kann nun eine unbegrenzte Anzahl Player und Genies
        laden und verwalten.

        'Appicon' und 'Random Song' Optionen eingebaut.

        Die Interrupt Generierung wird nun mittels timer.device vorgenommen,
        d.h. es wird keine wertvolle CIA Resource belegt.

        Benutzung von V39 Funktionen, wo möglich (z.B. Menus, BusyPointer,
        Lowmem-Handler...).

        Das Prefs Fileformat hat sich geändert. Die Konfiguration wird
        nun in ein seperates Konfigurationsverzeichnis gespeichert,
        anstatt wertvollen RAM-Speicher in ENV: zu belegen. Die Modul-
        listen werden nun getrennt verwaltet.

        Arexx:  Der Arexx-Portname wurde in 'DELITRACKER' umbenannt.
                Die Stringparse-Routine wurde geändert, Hochkommas sind
                nun überflüssig. Es wurden einige überflüssige Komandos
                entfernt (z.B. 'OpenPrefsWin'). Andere Kommandos wurden
                umbenannt bzw. geändert (z.B. 'Random' in 'RandomMod').
                Einige neue Komandos wurden hinzugefügt (z.B. 'ShowGUI').

        Durch die gestiegene Funktionalität ist DeliTracker nun 80K groß.

        Eine Anmerkung am Rande: Der komplette Source dieser Release
        (alle Player, Genies, Docs und DeliTracker selbst) ist momentan
        über 4 MB groß!

===========================================================================



V1.37a  Bug im internen ProTracker Player beseitigt. Bei noch mehr Playern
        das DMAwait gefixt.

V1.37   Einführung der dtg_WaitAudioDMA Funktion. Durch Benutzung der neuen
        Funktion sollte jetzt der ProTracker Player auch auf dem A4000
        keinerlei Timingprobleme mehr haben. DeliTracker verwaltet nun bis
        zu 80 Player. Änderungen an diversen Playern.

V1.36   Änderung und Freigabe der dtg_SetTimer Funktion. Documentation
        zusammengefasst und überarbeitet. Der FTM-Player wurde etwas
        verbessert (funktioniert jetzt mit geändertem VBR Register).

V1.35   Einführung eines neuen Tags (DTP_SubSongTest) für das SubSong
        Handling und Anpassung der betroffenen Player. Zwei vetrauschte
        Pointer in der Gadgetrefresh Routine beseitigt.

V1.34   Die Menüs entsprechen nun, dank WFLG_NEWLOOKMENUS/GTMN_NewLookMenus
        unter V39 endgültig dem Standard. Wenn ein Fenster geöffnet wird,
        überprüft DeliTracker nun ob bereits das andere Fenster offen ist.
        Ist dies der Fall, wird das Fenster (bzw. auch die Requester) auf
        dem Screen geöffnet, wo sich das offene Fenster befindet.

V1.33   In das AppWindow können nun auch Drawer gelegt werden. Es wird
        dann das komplette Verzeichnis in die Modulliste aufgenommen.
        Gleichzeitig wurde die maximale Anzahl der Listenelemente auf
        9999 vergrößert. Zur besseren Listenmanipulation wurde das ARexx-
        Interface um 2 Funktionen erweitert. Ein falsches Flag, das das
        Funktionieren der Menu-Shortcuts unter Kick 3.0 verhinderte,
        wurde berichtigt. Das Kontrollfenster Closegadget beendet nun
        DeliTracker nicht mehr, sondern schließt es nur.

V1.32   Verbesserung der Randomroutine. Die TFMX_Pro und TFMX_7V Player
        wurden verbessert, sie spielen nun auch 'ungepackte' TFMX Stücke.
        Für Leute die selber Komponieren oder viele Songs besitzen, haben
        wir einen ST/NT/PT Songplayer geschrieben.

V1.31   Erste Version, die nur mit Kickstart 2.0 läuft. Braucht keine
        req.library mehr, sondern benutzt stattdessen die asl.library.
        Harmloser Fehler in der Gadgetrefresh Routine behoben. Bug in
        der Timeout Funktion beseitigt. Kleinere Verbesserungen in den
        ProTracker und Mark II Playern.

V1.30   Release Version. Für diese Version wurden die Docs komplett
        umgestaltet und überarbeitet. Ab dieser Version von DeliTracker
        hat die unregistrierte Version keine Einschränkungen mehr. Wir
        vertrauen auf die Ehrlichkeit der Anwender und hoffen, daß Sie
        uns weiterhin unterstützen werden.

V1.29   Die OS 2.0 Version ist nun ein Commodity. DeliTracker hat nun
        seinen eigenen Hotkey! Da unter Kick 1.3 die commodities.library
        leider ihren Dienst verweigert ... (den Rest können Sie sich
        sicherlich selbst denken!). Es wurde noch ein kleinerer Fehler
        in der ARexx-Status Routine beseitigt. Boolsche Werte bei Optionen
        werden nun nicht mehr mit <0|1> sondern mit <no|yes> bezeichnet.
        Die Parsing Routine wurde dank Dominik's Nörgeln etwas csh-
        freundlicher gestaltet.

V1.28   Zum Entpacken wird nun statt interner Routinen XPK V2 verwendet.
        Da die auf der Amiga plus 9/92 erschienene xpkmaster.library (V1)
        noch einige schwerwiegende Bugs hatte, mußten wir auf V2 warten.
        Startupcode verbessert.

V1.27   Der Sourcecode wurde überarbeitet, so daß er nun unserem neuen
        Labelstandard entspricht. Es wurden zwar keine Funktionellen
        Änderungen vorgenommen, jedoch wurde der Code an einigen Stellen
        verbessert. Die MED und OktaMED Player können nun auch 'MMD1'
        Module erkennen und spielen.

V1.26   Einige Leute haben sich beschwert, daß DeliTracker keine Menüs
        hat. Deshalb haben wir wieder, im Vergleich zu V1.16 leicht
        veränderte, Menüs eingebaut. Die 2.x Version von DeliTracker
        benutzt anstelle der req.lib TextRequest() Funktion nun die
        EasyRequestArgs() um Fehlermeldungen auszugeben.

V1.25   Die OS 2.0 Version unterstützt nun PubScreens. DeliTracker_2.x
        kann nun auf jedem PubScreen geöffnet werden und arbeitet
        korrekt auf anderen default PubScreens als der "Workbench". An
        der 1.3 Version wurden keine funktionellen Änderungen vorgenommen.

V1.24   Wesentlich schnellerer PowerPacker Decrunchcode. Diverse
        Vorbereitungen für späteren XPK Gebrauch. Einige kleinere interne
        Verbesserungen.

V1.23   DeliTracker kann nun auf Wunsch beim Übergang zwischen zwei
        Modulen das aktuell spielende ausfaden. Intern wurde der Code
        an einigen Stellen überarbeitet.

V1.22   Der Randomplaymodus wurde auf vielfachen Wunsch so geändert, daß
        nun ein schon einmal gespieltes Modul nicht mehr gespielt wird,
        solange noch Module existieren, die noch nicht gespielt wurden.
        Als neuer player kam der EMS Player hinzu. An den TFMX Playern
        wurden kleinere "Wänzchen" entfernt.

V1.21   Die LED wird nach Beenden von DeliTracker auf den ursprünglichen
        Zustand zurück gesetzt. Das Konfigurationsfile wird voreinstellungs-
        mäßig nicht mehr in S: sondern in ENV: abgespeichert. Alle Player
        wurden mit einem $VER: String versehen. Außerdem kamen einige neue
        Player hinzu.

V1.20   Die alten Konfiguartionsdateien wurden durch benutzerfreundlichere,
        editierbare ASCII-Files ersetzt, die jetzt auch Modullisten enthalten
        können. Dadurch und durch den schon in der letzten Version eingeführten
        Songend Einsprung in den DeliTrackerGlobals mußten wir das Player-
        interface nochmals modifizieren. Um für die Zukunft gerüstet zu sein,
        verwenden wir nun ein Tag-Based Interface. Ein Patch-Programm zum
        updaten alter Custommodule und Player wird mitgeliefert. Im internen
        ProTracker Player wurde ein Bug bei der Timerallocation beseitigt, der
        aber so gut wie nie auftrat. Die internen Faster/Slower-Funktionen
        werden jetzt nur noch dann benutzt, wenn der interne Interrupt aktiv
        ist. Da laut Hardware Reference Manual die Volume von 0-64 (65 Werte)
        geht, macht das DeliTracker jetzt auch so. Interne Arbeitsversion!

V1.19   DeliTracker kann jetzt, falls mehrere Module angewählt wurden, diese
        in zufälliger Reihenfolge abspielen (Random), bei bestimmten Playern
        das Songende automatisch erkennen und dann das nächste Modul spielen
        (Songend), sowie nach einer bestimmten Zeit automatisch das Modul
        wechseln (Time). Die neu hinzugekommene Append Option ist dazu gedacht,
        Files aus verschiendenen Directorys an die bestehende Modulliste
        anzuhängen. In der Kick 2.0 Version wird bei Benutzung der Appwindow-
        fähigkeit statt des Locks der komplette Pfad gesetzt. Im Zuge der
        Funktionserweiterung wurde sowohl das Prefwindow als auch das ARexx-
        interface entsprechend umgestaltet/erweitert. DeliTracker kann nun
        auch mit Imploder gepackte Dateien entpacken. Sonic Arranger kam als
        neuer Player dazu. Interne Arbeitsversion!

V1.18   Shortcuts zur Volume- und Balancekontrolle hinzugefügt. Kleiner
        Bug im Stringhandling entfernt: Selbst nach dem Eject eines Moduls
        wurde dessen Name/Pfad in ein Configfile gespeichert. Dies hatte
        zur Folge, daß das Modul nach dem Laden dieses Configfiles gespielt
        wurde. Interner ST/NT Player wurde komplett umgeschrieben, er basiert
        jetzt auf einer ProTracker Replayroutine. Diese Version sollte nun
        eigentlich jedes SoundTracker "like" modul korrekt spielen (speziell
        ProTracker Module, die vorher nicht korrekt abgespielt wurden). Als
        Internen Player gibt es nun Custom, PT, NT, ST15, ST31 und StarTrekker
        ohne AM sounds. Es kamen auch einige andere externe Player hinzu.

V1.17   Alle Menüs wurden entfernt, da die meisten Benutzer davon keinen
        Gebrauch machten. Die Tastaturbedienbarkeit wurde jedoch beibehalten.
        Sie wurde erweitert und ist nun komfortabler als zuvor. Mini-Bugfix
        in einer ARexx-Routine. Als Player wurde SIDMon II angepaßt.

V1.16   Das Playerinterface wurde (zum allerletzten Mal !) geändert. Durch
        viele Verbesserungen am Stringhandling schrumpfte DeliTracker um ein
        gutes Stück. Der interne Timer-Interrupt generiert jetzt einen Soft-
        Interrupt, um z.B. bei Benutzung des serial.device Übertragungsfehler
        zu vermeiden. Das Color Decrunch beim Entpacken wurde entfernt. Dafür
        wird jetzt, während DeliTracker beschäftigt ist, der Mauszeiger busy
        gesetzt. Die FlashPointer Option wurde komplett ausgebaut (auch die
        ARexx-Kommandos, die davon betroffen sind !). Als neuer Player kam
        OktaMED 1.0 hinzu.

V1.15   Playerinterface (hoffentlich zum letzten Mal ?) geändert. Jetzt
        lassen sich auch Soundsysteme anpassen, deren Player etwas eigenwillig
        programmiert ist. Die CheckMod() Routine wurde völlig neu programmiert.
        Customplayer bestehen nun nur noch aus einem File. Interner Bugfix,
        der aber bis jetzt auf keinen Player Auswirkungen hatte. Beim Anhängen
        von '.pp' an den Filenamen wurde der String manchmal nicht mit einem
        Nullbyte abgeschlossen. Dieser Fehler wurde behoben. GetListData()
        wurde überarbeitet. Die erste offizielle Demoversion wurde erstellt.
        Als neuer Player wurde FTM implementiert.

V1.14   Änderungen am Includefile, d.h. neue Funktionen für die Player-
        schnittstelle. Bugfix bei Player Config-Routine. Kleinere interne
        Verbesserungen.

V1.13   Die erste Version für abergläubische Gemüter ;^) (Einige unserer
        Tester warten angeblich schon jetzt verzweifelt auf die Version 2.13).
        In ExtLoad() gab es ein paar Verbesserungen.

V1.12   Die Programmierer haben total vergessen, für Eject eine ARexx-Routine
        einzubauen (Wie konnte so etwas nur passieren ?). Dieser Mangel wurde
        behoben. Außerdem gab es eine kleine Änderung an der internen
        SoundTracker replayroutine : in einigen Modulen ist die Volume falsch
        (>$40) abgespeichert, dies führte dazu, daß bei Benutzung des Volume-
        sliders die Lautstärke falsch interpretiert wurde. Deswegen waren bei
        besagten Modulen Lautstärkesprünge zu hören.

V1.11   In der Version für Kickstart 2.0 wird Menuanordnung ,position und
        größe mittels ROM-Routinen an die jeweilige Fontgröße angepaßt.
        Einführung eines $VER: ID-Stings. 1.3 User gucken in die Röhre ´8-}.
        Für Demonstrationszwecke wird eine spezielle Version erstellt.

V1.10   Audiokanäle werden jetzt nur noch belegt, solange ein Modul geladen
        ist.

V1.09   Für Customplayer kommen InitPlay und EndPlay zu den Interfaceroutinen
        hinzu. Probleme mit falscher Subsongnummer beseitigt.

V1.08   Im Configfile wird jetzt auch die Subsongnummer abgespeichert.
        Verbesserungen in den ARexx-Routinen.

V1.07   Ab Kickstart 2.0 (Applaus) können Module auch gespielt werden, indem
        man ihr Icon im Kontrollfenster von DeliTracker ablegt. An der Version
        für Kickstart 1.3 (selber schuld) wurden keine wesentlichen Änderungen
        vorgenommen.

V1.06   DeliTracker kann jetzt auch als Default-Tool angegeben werden.
        Verminderung der Reloc-Hunks durch Benutzung von Offsettabellen.
        Retry-Option bei belegten Audiokanälen eingebaut.

V1.05   Das ARexx-Interface ist nun vollständig implementiert. Um die ARexx-
        Steuerung zu verbessern, wird die Möglichkeit vorgesehen, einen Song
        nicht sofort nach dem Laden zu spielen sowie die Farbflimmern des
        Mauszeigers beim Decruchen abzustellen.

V1.04   Externe Playerschnittstelle geändert und erweitert. Als bedeutendste
        Neuerungen sind das getrennte Handling von Volume und Balance sowie
        eine Configurationsmöglichkeit für alle Player anzusehen. Bugfix bei
        den Volume und Balance-Slidern. Im Preferences-Window werden wegen der
        neu dazugekommenen Fähigkeiten kleinere Verbesserungen vorgenommen.
        Diverse Bugfixes im Startupcode. Player für Music-Assembler und
        MED 3.11 kommen hinzu. Letzter Bug beim Gadgetrefresh des Controlpanels
        behoben.

V1.03   Das Preferences-Window wird komplett umgestellt und wesentlich
        übersichtlicher gestaltet. Bug in der Save-Config Routine entfernt.
        Die internen Player wurden total überarbeitet. Bugs in den Playern
        für The Musical Enlightenment und SoundFX-Module entfernt. Beim
        Multiselect von Modulen, die DeliTracker nicht kennt, wird ab jetzt
        auch ein Gadgetrefresh des Controlpanels durchgeführt. Aufruf für
        den Aufbau der Statuszeile in die OpenMainWindow-Routine verlagert.
        Fehler in der SaveConfig-Routine behoben. 32 Byte Memoryverlust pro
        Aufruf von DeliTracker wegen fehlendem UnLock() beseitigt.

V1.02   Das ARexx-Interface wird erweitert. SIDMon 1.0, Game Music Creator
        und The Musical Enlightenment werden als Player angepaßt.

V1.01   Endlich funktioniert das ARexx-Interface. Als neue Player kommen
        SoundFX un MarkII hinzu. Einige Bugs, z.B. bei Delete-Player, werden
        entfernt. Der Startupcode wird verbessert und erweitert.

V1.0    Da DeliTracker mittlerweile auf über 60 (!) KB angewachsen ist,
        werden alle ungebräuchlicheren Player ausgelagert. Das dafür notwendige
        Preferences-Window wird ebenfalls implementiert. Ab jetzt hat
        jeder die Möglichkeit, selbst neue Player anzupassen. Für
        Spezialfälle wird ein Customplayer vorgesehen. Die Tooltypes
        der Workbench werden nun ebenfalls unterstützt.
        Oktalyzer 1.53 kommt als neuer Player hinzu (Armin u did it !).

V0.9    Dank des resident Startupcodes muß DeliTracker nun vom CLI nicht
        mehr mit 'run' gestartet werden.
        Weitere Player kommen dazu (JamCracker, FutureComposer 1.3&1.4,
        SoundMon).

V0.8    Die graphische Benutzeroberfläche wird komplett überarbeitet und
        erweitert. (Hauptsächlich wegen eines Volume/Balance-Reglers).
        Vom VBlank-Interrupt wird zum CIAB-Timer gewechselt.
        Ab jetzt spielt DeliTracker auf PAL- und NTSC-Maschinen korrekt!

V0.7    Eine erste Implementation eines ARexx-Ports scheitert.
        Der für die Memoryfragmentierung verantwortliche Bug wird endlich
        gefunden und entfernt.

V0.6    Das Programm wird in DeliTracker umbenannt und spielt nun auch
        TFMX 1.5 Module. Außerdem lassen sich nun alle wichtigen Einstellungen
        in ein Configfile sichern.

V0.5    Eine erste graphische Benutzeroberfläche erhöht den Bedienungskomfort
        enorm. Bei Fehlern wird jetzt der Grund mit ausgegeben !

V0.4    Inzwischen wurden Soundtracker & Pro/Noisetracker Routinen eingebaut.

V0.3    Endlich gibt es dank der Req.Library auch einen Filerequester.
        Außerdem können nun mehrere Songs hintereinander gespielt werden,
        ohne das Programm zu verlassen.

V0.2    Jetzt mit Fenster !
        Bugfixes in den IRQ-Routinen.

V0.1    Das Programm heißt SndPlay und ist nur vom CLI aus startbar.
        Spielt nur Whittaker Module !

